$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.33.83-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.33.83-BETA.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'AB0DFB72B932F56ED160C746E2368C0AF826FE4811EC3E3F39CCCB4E66A00230'
  checksumType = 'sha256'
  checksum64 = 'AB0DFB72B932F56ED160C746E2368C0AF826FE4811EC3E3F39CCCB4E66A00230'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.33.83-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
